---
# Only the main Sass file needs front matter (the dashes are enough)
---

@import "fonts";
@import "fontawesome-free-6.2.0/fontawesome";
@import "fontawesome-free-6.2.0/brands";
@import "fontawesome-free-6.2.0/regular";
@import "fontawesome-free-6.2.0/solid";
@import "materialize";
@import "github";
@import "premonition";

body,html {
	overflow-x: hidden;
}

body {
	display: flex;
	min-height: 100vh;
	flex-direction: column;
	position: relative;
}

main {
	flex: 1 0 auto;
}

h2.header {
	font-size: 1.64rem;
	line-height: 110%;
	margin: 1.0933333333rem 0 0.656rem 0;
}

#portfolio h4 {
	font-size: 1.2em;
}

.fixed-action-btn.left {
	right: auto;
	bottom: auto;
	left: 23px;
	top: 23px;
}

.fixed-action-btn.left ul {
	bottom: 0;
	top: 100px;
}

.footer-copyright .container {
	display: inline-flex;
	vertical-align: middle;
}

.logo {
	font-family: 'Major Mono Display', monospace;
}

.highlighter-rouge {
	overflow: auto;
}

.scrollspy-target {
	position: absolute;
	margin-top: -50px;
}

.title-background {
	background-color: rgba(0,0,0,0.5);
	color: #fff;
	display: inline;
	padding: 0.27rem 0.5rem;
	line-height: 1.5;
	text-shadow: 1px 2px black;

	/* Needs prefixing */
	-webkit-box-decoration-break: clone;
	box-decoration-break: clone;
}

.post-title {
	text-shadow: 0 1px white;
	overflow-wrap: break-word;
}

.btn:hover:before,
.btn-floating:hover:before,
.btn-small:hover:before {
	display:block;
	content:" ";
	position:absolute;
	background-color:rgba(0, 0, 0, 0.1);
	top: 0;
	left: 0;
	z-index: 5;
	width: 100%;
	height: 100%;
}

.twitter-tweet {
	margin-left: auto;
	margin-right: auto;
}

.post-content {

	ul {
		margin: 0.75em 0;
		padding: 0 1em;
		list-style: none;
		line-height: 1;
		li {
			margin-left: 2em;
		}
		li:before {
			content: "";
			border-color: transparent #111;
			border-style: solid;
			border-width: 0.35em 0 0.35em 0.45em;
			display: block;
			height: 0;
			width: 0;
			left: -1em;
			top: 0.9em;
			position: relative;
		}
	}

	img {
		display: block;
		margin: 0 auto;
		box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14),0 3px 1px -2px rgba(0,0,0,0.12),0 1px 5px 0 rgba(0,0,0,0.2);
	}

	table {
		display: block;
		overflow-y: auto;
	}

}

.pagination {
	text-align: center;

	li.waves-effect:hover {
		background-color: #ef9a9a;
	}

	li.waves-effect a:hover {
		color: white;
	}
}

article {

	code.highlighter-rouge {
		word-wrap: break-word;
	}

	h1 {
		font-size: 2.92rem;
		line-height: 110%;
		margin: 1.9466666667rem 0 1.168rem 0;
	}

	h2 {
		font-size: 2.28rem;
		line-height: 110%;
		margin: 1.52rem 0 0.912rem 0;
	}

	h3 {
		font-size: 1.64rem;
		line-height: 110%;
		margin: 1.0933333333rem 0 0.656rem 0;
	}
}

.post-image {
	width: 1920px;
	height: 300px;
	position: absolute;
	top: 0;
	z-index: -1;
	left: 50%;
	transform: translateX(-50%);
	background-repeat: no-repeat;
	background-position: center top;
}

.graphviz {
	text-align: center;
	overflow: auto;
}

@media only screen and (max-width: 992px) {
	nav .brand-logo {
		left: 0;
		-webkit-transform: none;
		transform: none;
		position: inherit;
	}
}

$flow-scaling: 1.5;
@media only screen and (min-width: 360px) {
	.flow-text-large {
		font-size: 1.2rem * $flow-scaling;
	}
}

@media only screen and (min-width: 390px) {
	.flow-text-large {
		font-size: 1.224rem * $flow-scaling;
	}
}

@media only screen and (min-width: 420px) {
	.flow-text-large {
		font-size: 1.248rem * $flow-scaling;
	}
}

@media only screen and (min-width: 450px) {
	.flow-text-large {
		font-size: 1.272rem * $flow-scaling;
	}
}

@media only screen and (min-width: 480px) {
	.flow-text-large {
		font-size: 1.296rem * $flow-scaling;
	}
}

@media only screen and (min-width: 510px) {
	.flow-text-large {
		font-size: 1.32rem * $flow-scaling;
	}
}

@media only screen and (min-width: 540px) {
	.flow-text-large {
		font-size: 1.344rem * $flow-scaling;
	}
}

@media only screen and (min-width: 570px) {
	.flow-text-large {
		font-size: 1.368rem * $flow-scaling;
	}
}

@media only screen and (min-width: 600px) {
	.flow-text-large {
		font-size: 1.392rem * $flow-scaling;
	}
}

@media only screen and (min-width: 630px) {
	.flow-text-large {
		font-size: 1.416rem * $flow-scaling;
	}
}

@media only screen and (min-width: 660px) {
	.flow-text-large {
		font-size: 1.44rem * $flow-scaling;
	}
}

@media only screen and (min-width: 690px) {
	.flow-text-large {
		font-size: 1.464rem * $flow-scaling;
	}
}

@media only screen and (min-width: 720px) {
	.flow-text-large {
		font-size: 1.488rem * $flow-scaling;
	}
}

@media only screen and (min-width: 750px) {
	.flow-text-large {
		font-size: 1.512rem * $flow-scaling;
	}
}

@media only screen and (min-width: 780px) {
	.flow-text-large {
		font-size: 1.536rem * $flow-scaling;
	}
}

@media only screen and (min-width: 810px) {
	.flow-text-large {
		font-size: 1.56rem * $flow-scaling;
	}
}

@media only screen and (min-width: 840px) {
	.flow-text-large {
		font-size: 1.584rem * $flow-scaling;
	}
}

@media only screen and (min-width: 870px) {
	.flow-text-large {
		font-size: 1.608rem * $flow-scaling;
	}
}

@media only screen and (min-width: 900px) {
	.flow-text-large {
		font-size: 1.632rem * $flow-scaling;
	}
}

@media only screen and (min-width: 930px) {
	.flow-text-large {
		font-size: 1.656rem * $flow-scaling;
	}
}

@media only screen and (min-width: 960px) {
	.flow-text-large {
		font-size: 1.68rem * $flow-scaling;
	}
}

@media only screen and (max-width: 360px) {
	.flow-text-large {
		font-size: 1.2rem * $flow-scaling;
	}
}

.portfolio-section-title {
	font-size: 1.2rem;
}

#about-me-card p {
		margin: 5px 0;
}

.about-me-links {
	margin-top: 20px;
	text-align: center;
	a {
		margin-bottom: 10px;
	}
}


.card-image a.image-link,
.card-image a.card-title {
	width: 100%;
}

$codeBackgroundColor: #eceff1;
$codeBorderColor: #cfd8dc;

code.highlight {
	background-color: $codeBackgroundColor;
	padding: 3px;
}

figure.highlight {

	position: relative;
	margin: 0;

	pre {
		margin: 0;
		padding: 10px 20px;
		background-color: $codeBackgroundColor;
		border: 1px solid $codeBorderColor;
		border-radius: 10px;
		tab-size: 4;
		-moz-tab-size: 4;
		-o-tab-size: 4;
		overflow-x: auto !important;

		code {
			&[data-lang]:before {
				content: attr(data-lang);

				display: block;
				position: absolute;
				right: 30px;
				float: right;
				top: -13px;
				background-color: $codeBackgroundColor;
				padding: 3px 8px;
				border: 1px solid $codeBorderColor;
				border-radius: 5px;
				font-size: 0.8em;
				color: #263238;
			 }
		}
	}

}

#highlights {
	.slider a {
		display: block;
		height: 100%;
	}
}

#talks {
	.slider .slides {
		background-color: inherit;
		.talks-thumb {
			cursor: pointer;
			background-size: cover;
			width: 100%;
			height: 450px;
		}
	}
}

code.highlight {
	overflow-wrap: break-word;
}

.guest-author {
	text-align: center;
	font-size: 1.3em;
	margin-top: 0;
	font-style: italic;
}

.guest-article {
	position: absolute;
	top: 150px;
	font-size: 2.3em;
	transform: rotate(-25deg);
	margin-left: 20px;
	text-shadow: 2px 3px 5px #fff;
}

strong {
	font-weight: 750;
}

.anchorjs-link {
	color: #aaaaaa;
	opacity: 1;
}

:hover > .anchorjs-link, .anchorjs-link:focus {
	color: #f57c00;
}

:target::before {
	content: "";
	display: block;
	margin-top: -80px;
	height: 80px;
	width: 1px;
}

.icon {
	$size: 50px;
	display: inline-block;
	margin: 0 5px;
	svg {
		width: $size;
		height: $size;
	}
}

.premonition .content {
	overflow-x: auto;
}
